org.apache.ignite.internal.processors.platform

## Class PlatformNoopProcessor

- java.lang.Object
- - org.apache.ignite.internal.processors.GridProcessorAdapter
  - - org.apache.ignite.internal.processors.platform.PlatformNoopProcessor

All Implemented Interfaces:
  GridComponent, GridProcessor, PlatformProcessor

    public class PlatformNoopProcessor
    extends GridProcessorAdapter
    implements PlatformProcessor

No-op processor.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.ignite.internal.GridComponent

`GridComponent.DiscoveryDataExchangeType`

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.GridProcessorAdapter

`ctx, diagnosticLog, log`

### Constructor Summary

Constructors
Constructor and Description
`PlatformNoopProcessor(GridKernalContext ctx)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `awaitStart()` Await until platform processor is safe to use (i.e.
`PlatformContext` `context()` Gets platform context.
`long` `environmentPointer()` Get environment pointer associated with this processor.
`Ignite` `ignite()` Gets owning Ignite instance.
`void` `registerStore(PlatformCacheStore store, boolean convertBinary)` Register cache store.
`void` `releaseStart()` Notify processor that it is safe to use.

### Methods inherited from class org.apache.ignite.internal.processors.GridProcessorAdapter

`assertParameter, collectGridNodeData, collectJoiningNodeData, discoveryDataType, onDisconnected, onGridDataReceived, onJoiningNodeDataReceived, onKernalStart, onKernalStop, onReconnected, printMemoryStats, start, stop, toString, validateNode, validateNode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.GridComponent

`collectGridNodeData, collectJoiningNodeData, discoveryDataType, onDisconnected, onGridDataReceived, onJoiningNodeDataReceived, onKernalStart, onKernalStop, onReconnected, printMemoryStats, start, stop, validateNode, validateNode`

### Constructor Detail

#### PlatformNoopProcessor

    public PlatformNoopProcessor(GridKernalContext ctx)

### Method Detail

#### ignite

    public Ignite ignite()

Gets owning Ignite instance.

Specified by:
  `ignite` in interface `PlatformProcessor`
Returns:
  Ignite instance.

#### environmentPointer

    public long environmentPointer()

Get environment pointer associated with this processor.

Specified by:
  `environmentPointer` in interface `PlatformProcessor`
Returns:
  Environment pointer.

#### context

    public PlatformContext context()

Gets platform context.

Specified by:
  `context` in interface `PlatformProcessor`
Returns:
  Platform context.

#### releaseStart

    public void releaseStart()

Notify processor that it is safe to use.

Specified by:
  `releaseStart` in interface `PlatformProcessor`

#### awaitStart

    public void awaitStart()
                    throws IgniteCheckedException

Await until platform processor is safe to use (i.e. `has been called`.

Specified by:
  `awaitStart` in interface `PlatformProcessor`
Throws:
  `IgniteCheckedException` - If failed.

#### registerStore

    public void registerStore(PlatformCacheStore store,
                              boolean convertBinary)
                       throws IgniteCheckedException

Register cache store.

Specified by:
  `registerStore` in interface `PlatformProcessor`
Parameters:
  `store` - Store.
  `convertBinary` - Convert binary flag.
Throws:
  `IgniteCheckedException` - If failed.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019